jQuery(window).load(function () {
    (function ($) {
        "use strict";
        if ($(".ssd-content").hasClass("ssdsos-wrp")) {
            var lid = $(".ssdsos-wrp").attr("data-id");
            if (lid != "") {
                $.ajax({
                    type: "POST",
                    url: ajax_object.ajax_url,
                    data: "action=ssd_grid_height&layout_id=" + lid,
                    success: function (response) {
                        window.setTimeout(function () {
                            $(".ssd_social_stream_justify").justifiedGallery({ rowHeight: response, lastRow: "nojustify", imgSelector: "> div .ssd_has_media a img", captions: false });
                        }, 500);
                    },
                });
            }
        }
    })(jQuery);
});
jQuery(document).ready(function () {
    (function ($) {
        "use strict";
        $(document).on("change", ".ssd_approve_front", function () {
            var ssd_prop_id = $(this).attr("data-id");
            if ($(this).prop("checked") == true) {
                $.ajax({ type: "POST", url: ajax_object.ajax_url, data: "action=ssd_approve_feed&status=approve&unique_id=" + ssd_prop_id });
            } else {
                $.ajax({ type: "POST", url: ajax_object.ajax_url, data: "action=ssd_approve_feed&status=unapprove&unique_id=" + ssd_prop_id });
            }
        });
        $(document).on("click", ".ssd-share-button", function () {
            var sslw = $(".ssd-share-link-wrapper");
            if ($(this).parents(".ssd-action-row").find(".ssd-share-link-wrapper").hasClass("ssd-show-share")) {
                sslw.removeClass("ssd-show-share");
            } else {
                sslw.removeClass("ssd-show-share");
                $(this).parents(".ssd-action-row").find(".ssd-share-link-wrapper").addClass("ssd-show-share");
            }
        });
        $(document).on("click", ".ssd-close-button", function () {
            $(".ssd-share-link-wrapper").removeClass("ssd-show-share");
        });
        if ($(".ssd-cnt-prnt").hasClass("ssd-enable-filter")) {
            var sgfas = localStorage.getItem("ssd_filter_active_status");
            var safo = "";
            if (sgfas == "" || sgfas == ".*" || sgfas === null) {
                safo = "filter-all";
            } else {
                safo = sgfas;
            }
            $(".ssd-feed-filter " + safo + " a").addClass("ssd_active-feed");
            if (safo == "filter-all") {
                $(".ssd-feed-filter ." + safo).addClass("ssd_active-social-feed");
            } else {
                $(".ssd-feed-filter " + safo).addClass("ssd_active-social-feed");
            }
            $(".ssd-container").hide();
            if (safo == "filter-all") {
                $(".ssd-wrapper-inner #ssd_social_stream_listing div").each(function () {
                    $(this).show(function () {
                        if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                            new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                        } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                            new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                        }
                    });
                });
            } else {
                $(safo).show(function () {
                    if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                        new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                    } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                        new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                    }
                });
            }
        }
        $(".ssd-feed-filter").on("click", "li", function () {
            $(".ssd-container").hide();
            $(".ssd-feed-filter li").removeClass("ssd_active-social-feed");
            $(".ssd-feed-filter li a").removeClass("ssd_active-feed");
            $(this).children("a").addClass("ssd_active-feed");
            $(this).addClass("ssd_active-social-feed");
            var ssd_filter_value = "." + $(this).attr("data-cat");
            if (ssd_filter_value == ".*") {
                localStorage.setItem("ssd_filter_active_status", ssd_filter_value);
                $(".ssd-wrapper-inner #ssd_social_stream_listing div").each(function () {
                    $(this).show(function () {
                        if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                            new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                        } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                            new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                        }
                    });
                });
            } else {
                $(ssd_filter_value).show(function () {
                    localStorage.setItem("ssd_filter_active_status", ssd_filter_value);
                    if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                        new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                    } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                        new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                    }
                });
            }
        });
        $("body").on("click", ".ssd-popup-wrapper", function (e) {
            e.preventDefault();
            $(".ssd-popup-wrapper").removeClass("active");
            $(this).addClass("active");
            var dftype = $(this).data("feedstreamtype");
            var dfeed = $(this).data("feedtype");
            var sid = $(this).data("id");
            var ssd_layout = $(this).data("layout");
            var ssd_commentid = $(this).data("commentid");
            var username =$(this).data('username');
            var comments =$(this).data('comments');
            var commentslink =$(this).data('commentslink');
            if (dfeed == "facebook" && dftype == "all_album") {
                ssd_fba_howModal($(this));
            } else {
                ssd_showModal($(this));
            }
            var styp = $(this).data("feedtype");
            var sfeedtyp = $(this).data("feedstreamtype");
            var sid = $(this).data("id");
            var ssd_layout = $(this).data("layout");
            if (styp == "facebook" && sfeedtyp == "all_album") {
                $.ajax({
                    type: "POST",
                    url: ajax_object.ajax_url,
                    data: "action=ssd_facebook_album&feed_type=" + styp + "&feed_stream_type=" + sfeedtyp + "&feed_id=" + sid + "&ssd_layout=" + ssd_layout,
                    success: function (response) {
                        $(".ssd-modal-text .ssd-fb-alb-wrap").html("");
                        $(".ssd-modal-text .ssd-fb-alb-wrap").html(response);
                    },
                });
            }
            if (styp == "facebook" && sfeedtyp == 'page') {
                $.ajax({
                    type: "POST",
                    url: ajax_object.ajax_url,
                    data: "action=ssd_feed_bio_details&feed_type=" + styp + "&feed_stream_type=" + sfeedtyp + "&feed_id=" + ssd_commentid + "&ssd_layout=" + ssd_layout,
                    success: function (response) {
                        $(".ssd-page-bio-wrap").html("");
                        $(".ssd-page-bio-wrap").html(response);
                    },
                });
            }
            $.ajax({
                type:'POST',
                url:ajax_object.ajax_url,
                data:'action=ssd_display_comments_popup&feed_type='+dfeed+'&ssdcommentid='+ssd_commentid+'&username='+username+"&ssd_cmt_cnt="+comments+'&ssd_cmt_link='+commentslink,
                success:function(response){
                    $('.ssd-com-wrap').html('');
                    $('.ssd-com-wrap').html(response);
                }
            });
        });
        $('body').on('click','.ssd-comment-replies-a',function(e){
            $(this).parent().next(".ssd-comments-replies-box").toggle();
        });
        $("body").on("click", ".ssd-popup-wrap", function (e) {
            if ($(e.target).hasClass(".ssd-popup-wrap")) {
                ssd_removeModal();
            }
        });
        var spsmh = function () {
            if ($(".ssd-scrollbox").length) {
                var ssd_maxHeight = $(window).height() - 100;
                $(".ssd-scrollbox").css("max-height", ssd_maxHeight + "px");
            }
        };
        $(window).on('resize',function () {
            clearTimeout(this.id);
            this.id = setTimeout(spsmh, 100);
        });
        document.onkeydown = function (evt) {
            evt = evt || window.event;
            if (evt.keyCode == 27) {
                ssd_removeModal();
            }
        };
        var slilod = false;
        var ssd_load_image = '<div class="ssd_lmp_products_loading"><i class="fas fa-spinner fa-spin ssd_lmp_rotate"></i></div>';
        var ssd_load_img_class = ".ssd_lmp_products_loading";
        if ($(".ssd-pgn-bar").length > 0) {
            if ($(".ssd_social_stream_timeline").length > 0) {
                var ssd_container = ".ssd_social_stream_timeline";
            } else {
                var ssd_container = ".ssd_social_stream_listing";
            }
            var pagination = ".ssd-pgn-bar";
            var ssd_next_page = ".ssd-pgn-bar a.next";
        }
        ssd_all_loadmore(ssd_container, pagination, ssd_next_page);
        function ssd_all_loadmore(ssd_container, pagination, ssd_next_page) {
            if ($(ssd_container).length > 0) {
                var ssd_parent = $(ssd_container).closest(".ssd-wrapper-inner");
                if ($(ssd_parent).hasClass("ssd_load_onscroll_btn")) {
                    $(window).scroll(function () {
                        if (!slilod) {
                            ssd_load_next_page(pagination, ssd_next_page);
                        }
                    });
                } else if ($(ssd_parent).hasClass("ssd_load_more_btn")) {
                    $(".ssd_social_stream_load_more_btn").on("click", function () {
                        ssd_load_next_page(pagination, ssd_next_page);
                    });
                }
            }
        }
        function ssd_load_next_page(pagination, ssd_next_page) {
            var user_next_page = false;
            var $next_page = $(ssd_next_page);
            if ($next_page.length > 0 || user_next_page !== false) {
                ssd_start_ajax_loading();
                var next_page;
                if (user_next_page !== false) {
                    next_page = user_next_page;
                } else {
                    next_page = $next_page.attr("href");
                }
                $.get(next_page, function (data) {
                    var $data = $(data);
                    var $feeds = $data.find(ssd_container).html();
                    $(ssd_container).append($feeds);
                    $(".ssd-cnt-prnt").imagesLoaded(function () {
                        var ssdcrm = $(".ssd-carousel-media > .slides");
                        if (ssdcrm.hasClass("slick-initialized")) {
                            ssdcrm.slick("unslick");
                        }
                        ssdcrm.slick({
                            autoplay: true,
                            arrows: true,
                            speed: 1500,
                            autoplaySpeed: 1500,
                            rtl: false,
                            slidesPerRow: 1,
                            slidesToShow: 1,
                            slidesToScroll: 1,
                            adaptiveHeight: false,
                            prevArrow: '<span class="prev-arrow"><i class="fa fa-angle-left"></i></span>',
                            nextArrow: '<span class="next-arrow"><i class="fa fa-angle-right"></i></span>',
                        });
                    });
                    var $pagination = $data.find(pagination);
                    $(pagination).html($pagination.html());
                    $(".ssd-cnt-prnt").imagesLoaded(function () {
                        var ssdcrm = $(".ssd-carousel-media > .slides");
                        if (ssdcrm.hasClass("slick-initialized")) {
                            ssdcrm.slick("unslick");
                        }
                        ssdcrm.slick({
                            autoplay: true,
                            arrows: true,
                            speed: 1500,
                            autoplaySpeed: 1500,
                            rtl: false,
                            slidesPerRow: 1,
                            slidesToShow: 1,
                            slidesToScroll: 1,
                            adaptiveHeight: false,
                            prevArrow: '<span class="prev-arrow"><i class="fa fa-angle-left"></i></span>',
                            nextArrow: '<span class="next-arrow"><i class="fa fa-angle-right"></i></span>',
                        });
                        var lid = $(".ssdsos-wrp").attr("data-id");
                        $.ajax({
                            type: "POST",
                            url: ajax_object.ajax_url,
                            data: "action=ssd_grid_height&layout_id=" + lid,
                            success: function (response) {
                                $(".ssd_social_stream_justify").justifiedGallery({ rowHeight: response, lastRow: "nojustify", imgSelector: "> div .ssd_has_media a img", captions: false });
                                window.setTimeout(function () {
                                    $(".ssd_social_stream_justify").justifiedGallery({ rowHeight: response, lastRow: "nojustify", imgSelector: "> div .ssd_has_media a img", captions: false });
                                }, 500);
                            },
                        });
                    });
                    $(".ssd-feed-filter li").css("display","none");
                    $(".ssd-feed-filter li").removeClass("ssd_active-social-feed");
                    $(".ssd-feed-filter li a").removeClass("ssd_active-feed");
                    $(".ssd-feed-filter li.filter-all").css("display","inline-block");
                    $(".ssd-feed-filter li.filter-all").addClass("ssd_active-social-feed");
                    $(".ssd-feed-filter li.filter-all a").addClass("ssd_active-feed");
                    localStorage.setItem("ssd_filter_active_status", ".*");
                    $(".ssd-col-item.ssd-col").each(function() {
                        if ($(this).hasClass("filter-pinterest")) {
                            $(".ssd-feed-filter li.filter-pinterest").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-vimeo")) {
                            $(".ssd-feed-filter li.filter-vimeo").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-twitter")) {
                            $(".ssd-feed-filter li.filter-twitter").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-facebook")) {
                            $(".ssd-feed-filter li.filter-facebook").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-instagram")) {
                            $(".ssd-feed-filter li.filter-instagram").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-tumblr")) {
                            $(".ssd-feed-filter li.filter-tumblr").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-youtube")) {
                            $(".ssd-feed-filter li.filter-youtube").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-flickr")) {
                            $(".ssd-feed-filter li.filter-flickr").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-wordpress")) {
                            $(".ssd-feed-filter li.filter-wordpress").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-rss")) {
                            $(".ssd-feed-filter li.filter-rss").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-foursquare")) {
                            $(".ssd-feed-filter li.filter-foursquare").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-dribbble")) {
                            $(".ssd-feed-filter li.filter-dribbble").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-soundcloud")) {
                            $(".ssd-feed-filter li.filter-soundcloud").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-tiktok")) {
                            $(".ssd-feed-filter li.filter-tiktok").css("display","inline-block");
                        }
                    });
                    $(".ssd-wrapper-inner #ssd_social_stream_listing div").each(function () {
                        $(this).show(function () {
                            if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                                new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                            } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                                new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                            }
                        });
                    });
                    ssd_end_ajax_loading(pagination, ssd_next_page);
                });
            }
            if ($next_page.length == 0) {
                $(".ssd_social_stream_load_more_btn").hide();
            }
        }
        function ssd_start_ajax_loading() {
            slilod = true;
            $(ssd_container).after($(ssd_load_image));
        }
        function ssd_end_ajax_loading(pagination, ssd_next_page) {
            var ssd_parent = $(ssd_container).closest(".ssd-wrapper-inner");
            $(ssd_load_img_class).remove();
            if ($(ssd_parent).hasClass("ssd_load_onscroll_btn")) {
                slilod = false;
                if (!slilod) {
                    ssd_load_next_page(pagination, ssd_next_page);
                }
            }
            if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
            } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
            }
        }
        if (!$(".ssd-cnt-prnt").hasClass("ssd-enable-filter")) {
            if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
            } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
            }
        }
        $("body").on("click", ".ssd-pause", function (e) {
            e.preventDefault();
            $(this).removeClass("ssd-pause");
            $(this).addClass("ssd-play");
            $(this).removeClass("fa-pause");
            $(this).addClass("fa-play");
            $(this).closest(".slickslider").find(".ssd-cnt-prnt").slick("slickPause");
        });
        $("body").on("click", ".ssd-play", function (e) {
            e.preventDefault();
            $(this).removeClass("ssd-play");
            $(this).addClass("ssd-pause");
            $(this).removeClass("fa-play");
            $(this).addClass("fa-pause");
            $(this).closest(".slickslider").find(".ssd-cnt-prnt").slick("slickPlay");
        });
        function ssd_fb_showModal(that) {
            var ssd_maxHeight = $(window).height() - 100;
            $(".ssd-scrollbox").css("max-height", ssd_maxHeight + "px");
            var id = that.data("id");
            var layout = that.data("layout");
            var dialog = that.data("dialog");
            var next_id = that.data("dialog") + 1;
            var prev_id = that.data("dialog") - 1;
            var feed_id = that.data("feed_id");
            var surl = that.data("link");
            var content = that.data("content");
            var username = that.data("username");
            var userscreenname = that.data("userscreenname");
            var image = that.data("image");
            var datetime = that.data("datetime");
            var imghtml = '<a href=""><img src="' + image + '"></a>';
            var sfhtml = "";
            var ssd_share_html = ssd_popup_share_link(surl);
            sfhtml += '<div classs="ssd-modal"><div class=""><div class="ssd-scrollbox" style="max-height:' + ssd_maxHeight + 'px"><div class="ssd-modal-text ssd-card ">';
            if (layout == "layout-1") {
                sfhtml += '<div class="ssd-grid-col-1">' + imghtml + "</div>";
            }
            if (layout == "layout-1") {
                sfhtml += '<div class="ssd-grid-col-2">';
            }
            sfhtml +=
                '<div class="ssd-author-detail"><div class="ssd-author-image"><a href=""><img src="" alt="' +
                userscreenname +
                '"></a></div><div class="ssd-author-name"><div class="author-name-top"><a class="ssd-display-name" target="_blank" href="">' +
                username +
                '</a></div><div class="author-name-bottom"><a class="ssd-user-name" target="_blank" href="">' +
                userscreenname +
                "</a></div></div></div>";
            if (layout == "layout-2") {
                sfhtml += imghtml;
            }
            sfhtml += '<div class="ssd-content-wrap"><p>' + content + "</p></div>";
            sfhtml += '<div class="ssd-fb-alb-wrap"></div>';
            sfhtml +=
                '<div class="ssd-cell-row ssd-opacity"><a class="ssd-content-meta-wrap ssd-date-time" target="_blank" href="https://www.facebook.com/album.php?fbid=2213959735500847&amp;id=2705237616373054&amp;aid=1073741831"><i class="far fa-clock fa-fw "></i>' +
                datetime +
                "</a></div>";
            sfhtml += ssd_share_html;
            if (layout == "layout-1") {
                sfhtml += "</div>";
            }
            sfhtml += "</div></div></div></div>";
            var sfinalhtml = "<div class='ssd-dialog-fb-popup ssd-dialog-fb-popup-cover" + id + "'>" + sfhtml + "</div>";
            if (layout == "layout-1") {
                var width = 900;
            } else {
                var width = 700;
            }
            $.ajax({
                type: "POST",
                url: ajax_object.ajax_url,
                data: "action=ssd_facebook_album&feed_type=facebook&feed_stream_type=all_album&feed_id=" + feed_id + "&ssd_layout=" + layout + "&ssdid=" + id,
                success: function (response) {
                    $(".ssd-modal-text .ssd-fb-alb-wrap").html("");
                    $(".ssd-modal-text .ssd-fb-alb-wrap").html(response);
                },
            });
            $("body").append(sfinalhtml).fadeIn(2500);
            $(".ssd-dialog-fb-popup").dialog({
                modal: true,
                closeOnEscape: true,
                autoOpen: false,
                draggable: false,
                resizable: false,
                width: width,
                height: $(window).height() - 250,
                maxWidth: "100%",
                dialogClass: "ssd-facebook-album-wrap ",
                buttons: {
                    prev: function () {
                        $(".ssd-dialog-popup-cover").dialog("close");
                        $(".ssd-dialog-fb-popup" + dialog).dialog("close");
                        if (prev_id < 1 || !$(".ssd-fb-alm-image").hasClass("ssd-fb-alm-image" + prev_id)) {
                            prev_id = 1;
                        }
                        var previd = $(".ssd-fb-alm-image" + prev_id);
                        ssd_fb_showModal(previd);
                    },
                    next: function () {
                        $(".ssd-dialog-popup-cover").dialog("close");
                        $(".ssd-dialog-fb-popup" + dialog).dialog("close");
                        if (next_id < 1 || !$(".ssd-fb-alm-image").hasClass("ssd-fb-alm-image" + next_id)) {
                            next_id = 1;
                        }
                        var nextid = $(".ssd-fb-alm-image" + next_id);
                        ssd_fb_showModal(nextid);
                    },
                },
                hide: { effect: "fadeOut", duration: 500 },
                show: { effect: "fadeIn", duration: 500 },
                open: function (event, ui) {
                    $(".ui-widget-overlay").bind("click", function () {
                        $(".ssd-dialog-fb-popup").dialog("close");
                    });
                },
                close: function () {
                    $(".ssd-dialog-fb-popup").dialog("close");
                },
            });
            $(".ssd-dialog-fb-popup").dialog("open");
        }
        $("body").on("click", ".ssd-fb-alm-image", function (e) {
            e.preventDefault();
            $(".ssd-dialog-fb-popup").dialog("destroy").remove();
            $(".ssd-dialog-popup-cover").dialog("destroy").remove();
            ssd_fb_showModal($(this));
        });
        function ssd_fba_howModal(that) {
            var shml = "";
            var ssd_dataid = that.data("id"),
                ssd_clwidth = "full-width",
                dialog = that.data("dialog"),
                ssd_layout = that.data("layout"),
                next_id = that.data("dialog") + 1,
                prev_id = that.data("dialog") - 1,
                ssd_usersimage = that.data("usersimage"),
                ssd_username = that.data("username"),
                susrsnm = that.data("userscreenname"),
                ssd_userslink = that.data("userslink"),
                styp = that.data("feedtype"),
                sdfdtrmtp = that.data("feedstreamtype"),
                ssd_title = that.data("title"),
                ssd_content = that.data("content"),
                surl = that.data("posturl"),
                smtyp = that.data("mediatype"),
                simpt = that.data("imagepath"),
                ssd_videopath = that.data("videopath"),
                sviedimg = that.data("viewdefaultimage"),
                ssd_defaultimage = that.data("defaultimage"),
                ssd_datetime = that.data("datetime"),
                ssd_likes = that.data("likes"),
                ssd_likeslink = that.data("likeslink"),
                ssd_dislike = that.data("dislike"),
                ssd_dislikelink = that.data("dislikelink"),
                ssd_comments = that.data("comments"),
                sdcmtlnk = that.data("commentslink"),
                ssd_favorite = that.data("favorite"),
                ssd_plays = that.data("plays"),
                ssd_playslink = that.data("playslink"),
                ssd_retweet = that.data("retweet"),
                ssd_retweetlink = that.data("retweetlink"),
                ssd_replylink = that.data("replylink");
            if (simpt == "" && sviedimg == 1 && ssd_defaultimage != "") {
                simpt = ssd_defaultimage;
            }
            var ssd_maxHeight = $(window).height() - 100;
            if ($(".ssd-dialog-popup-cover").length === 0) {
                if (typeof simpt !== "undefined") {
                    if ((smtyp == "image" && simpt != "") || smtyp == "iframe" || smtyp == "video") {
                        ssd_clwidth = "";
                    }
                    shml = "<div class='ssd-dialog-popup-cover ssd-popup-" + ssd_layout + " social_stream_" + ssd_dataid + "'>";
                    shml += "<div class='ssd-modal'>";
                    shml += "<div class='" + ssd_clwidth + "'>";
                    shml += "<div class='ssd-scrollbox' style='max-height:" + ssd_maxHeight + "px'>";
                    shml += "<div class='ssd-modal-text ssd-card " + ssd_clwidth + "'>";
                    if (ssd_layout == "layout-1" && (simpt != "" || ssd_videopath != "")) {
                        shml += "<div class='ssd-grid-col-1'>";
                        var sdhl = "";
                        if ((smtyp == "image" || smtyp == "post") && simpt != "") {
                            sdhl += '<a href=""><img src="' + simpt + '" height="500"></a>';
                        } else if (smtyp == "video") {
                            if (ssd_videopath != "") {
                                if (styp == "vimeo") {
                                    sdhl += '<div style="padding:75% 0 0 0;position:relative;">';
                                    sdhl += '<iframe src="' + ssd_videopath + '" style="position:absolute;top:0;left:0;width:100%;height:100%;" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>';
                                    sdhl += "</div>";
                                    sdhl += '<script src="https://player.vimeo.com/api/player.js"></script>';
                                } else if (styp == "youtube" && (sdfdtrmtp == "user_feed" || sdfdtrmtp == "search" || sdfdtrmtp == "channel" || sdfdtrmtp == "playlists")) {
                                    sdhl += '<iframe width="100%" height="200" src="' + ssd_videopath + '" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>';
                                } else if (styp == "google plus") {
                                    sdhl += '<iframe width="100%" height="200" src="' + ssd_videopath + '" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>';
                                } else if (styp == "flickr") {
                                    sdhl += '<a data-flickr-embed="true" href="' + ssd_videopath + '"><img src="' + simpt + '" width="1280" height="720"></a>';
                                    sdhl += '<script async src="//embedr.flickr.com/assets/client-code.js" charset="utf-8"></script>';
                                } else {
                                    sdhl += '<video controls><source src="' + ssd_videopath + '"></video>';
                                }
                            } else {
                                if (simpt != "") {
                                    sdhl += '<a href=""><img src="' + simpt + ' "></a>';
                                }
                            }
                        } else if (smtyp == "carousel") {
                            var simpts = "";
                            var ssvdpt = "";
                            if (simpt != "") {
                                simpts = simpt.split(" ,");
                            }
                            if (ssd_videopath != "") {
                                ssvdpt = ssd_videopath.split(" ,");
                            }
                            sdhl += '<div class="ssd-carousel-media"><div class="slides ssd_inner_sk_slider">';
                            if (simpts != "") {
                                $.each(simpts, function (index, value) {
                                    if (value) {
                                        sdhl += '<div><img src="' + value + '"></div>';
                                    }
                                });
                            }
                            if (ssvdpt != "") {
                                $.each(simpts, function (index, value) {
                                    if (value) {
                                        sdhl += '<div><video controls><source src="' + value + '"></video></div>';
                                    }
                                });
                            }
                            sdhl += "</div></div>";
                        }
                        shml += sdhl;
                        shml += "</div>";
                        shml += "<div class='ssd-grid-col-2'>";
                    }
                    shml += "<div class='ssd-author-detail'>";
                    shml += "<div class='ssd-author-image'>";
                    shml += "<a href='" + ssd_userslink + "'><img src='" + ssd_usersimage + "' alt='" + susrsnm + "'></a>";
                    shml += "</div>";
                    shml += "<div class='ssd-author-name'>";
                    shml += "<div class='author-name-top'><a class='ssd-display-name' target='_blank' href='" + ssd_userslink + "'>" + ssd_username + "</a></div>";
                    shml += "<div class='author-name-bottom'><a class='ssd-user-name' target='_blank' href='" + ssd_userslink + "'>" + susrsnm + "</a></div>";
                    shml += "</div>";
                    shml += "</div>";
                    if (ssd_title) {
                        shml += "<div class='ssd-post-title'>";
                        shml += "<h4>" + ssd_title + "</h4>";
                        shml += "</div>";
                    }
                    if (ssd_layout == "layout-2") {
                        var sdhl = "";
                        if (smtyp == "image" && simpt != "") {
                            sdhl += '<a href=""><img src="' + simpt + '" height="500"></a>';
                        } else if (smtyp == "video") {
                            if (ssd_videopath != "") {
                                if (styp == "vimeo") {
                                    sdhl += '<div style="padding:75% 0 0 0;position:relative;">';
                                    sdhl += '<iframe src="' + ssd_videopath + '" style="position:absolute;top:0;left:0;width:100%;height:100%;" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>';
                                    sdhl += "</div>";
                                    sdhl += '<script src="https://player.vimeo.com/api/player.js"></script>';
                                } else if (styp == "youtube" && (sdfdtrmtp == "user_feed" || sdfdtrmtp == "search" || sdfdtrmtp == "channel" || sdfdtrmtp == "playlists")) {
                                    sdhl += '<iframe width="100%" height="200" src="' + ssd_videopath + '" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>';
                                } else if (styp == "flickr") {
                                    sdhl += '<a data-flickr-embed="true" href="' + ssd_videopath + '"><img src="' + simpt + '" width="1280" height="720"></a>';
                                    sdhl += '<script async src="//embedr.flickr.com/assets/client-code.js" charset="utf-8"></script>';
                                } else {
                                    sdhl += '<video controls><source src="' + ssd_videopath + '"></video>';
                                }
                            } else {
                                if (simpt != "") {
                                    sdhl += '<a href=""><img src="' + simpt + ' "></a>';
                                }
                            }
                        } else if (smtyp == "carousel") {
                            var simpts = "";
                            var ssvdpt = "";
                            if (simpt != "") {
                                simpts = simpt.split(" ,");
                            }
                            if (ssd_videopath != "") {
                                ssvdpt = ssd_videopath.split(" ,");
                            }
                            sdhl += '<div class="ssd-carousel-media"><ul class="slides">';
                            if (simpts != "") {
                                $.each(simpts, function (index, value) {
                                    if (value) {
                                        sdhl += '<li><img src="' + value + '"></li>';
                                    }
                                });
                            }
                            if (ssvdpt != "") {
                                $.each(simpts, function (index, value) {
                                    if (value) {
                                        sdhl += '<li><video controls><source src="' + value + '"></video></li>';
                                    }
                                });
                            }
                            sdhl += "</ul></div>";
                        }
                        shml += sdhl;
                    }
                    if (ssd_content != "" && ssd_content != "undefined") {
                        shml += "<div class='ssd-content-wrap'>";
                        shml += "<p>" + ssd_content + "</p>";
                        shml += "</div>";
                    }
                    if (styp == "facebook" && sdfdtrmtp == "all_album") {
                        shml += "<div class='ssd-fb-alb-wrap'>";
                        shml += "</div>";
                    }
                    if (styp == "facebook" && sdfdtrmtp == "page") {
                        shml+="<div class='ssd-page-bio-wrap'>";shml+="<p></p>";shml+="</div>";
                    }
                    shml+="<div class='ssd-com-wrap'>";shml+="<p></p>";shml+="</div>";
                    var shtl = ssd_share_count(styp, surl, ssd_datetime, sdcmtlnk, ssd_likeslink, ssd_dislikelink, ssd_playslink, ssd_retweetlink, ssd_replylink, ssd_comments, ssd_likes, ssd_dislike, ssd_plays, ssd_retweet, ssd_favorite);
                    shml += shtl;
                    var ssd_share_html = ssd_popup_share_link(surl);
                    shml += ssd_share_html;
                    if (ssd_layout == "layout-1" && (simpt != "" || ssd_videopath != "")) {
                        shml += "</div>";
                    }
                    shml += "</div></div></div></div></div>";
                }
            }
            $("body").append(shml).fadeIn(2500);
            if (ssd_layout == "layout-1") {
                var width = 900;
            } else {
                var width = 700;
            }
            if (ssd_layout == "layout-1") {
                var ssd_dialog_class = "ssd-dialog-widget ssd-left-layout";
            } else {
                var ssd_dialog_class = "ssd-dialog-widget ssd-top-layout";
            }
            $(".ssd-dialog-popup-cover").dialog({
                modal: true,
                closeOnEscape: true,
                autoOpen: false,
                draggable: false,
                resizable: false,
                width: width,
                maxWidth: "100%",
                height: $(window).height() - 250,
                buttons: {
                    prev: function () {
                        $(".ssd-dialog-popup-cover").dialog("close");
                        $(".ssd-dialog-fb-popup" + dialog).dialog("close");
                        if (prev_id < 1 || !$(".ssd-fb-alm-image").hasClass("ssd-fb-alm-image" + prev_id)) {
                            prev_id = 1;
                        }
                        var previd = $(".ssd-fb-alm-image" + prev_id);
                        ssd_fb_showModal(previd);
                    },
                    next: function () {
                        $(".ssd-dialog-popup-cover").dialog("close");
                        $(".ssd-dialog-fb-popup" + dialog).dialog("close");
                        if (next_id < 1 || !$(".ssd-fb-alm-image").hasClass("ssd-fb-alm-image" + next_id)) {
                            next_id = 1;
                        }
                        var nextid = $(".ssd-fb-alm-image" + next_id);
                        ssd_fb_showModal(nextid);
                    },
                },
                dialogClass: ssd_dialog_class,
                hide: { effect: "fadeOut", duration: 500 },
                show: { effect: "fadeIn", duration: 500 },
                open: function (event, ui) {
                    $(".ui-widget-overlay").bind("click", function () {
                        $(".ssd-dialog-popup-cover").dialog("close");
                        ssd_removeModal();
                    });
                },
                close: function () {
                    $(".ssd-dialog-popup-cover").dialog("close");
                    ssd_removeModal();
                },
            });
            $(".ssd-dialog-popup-cover").dialog("open");
            $(".ssd_inner_sk_slider").slick({
                autoplay: false,
                rtl: false,
                arrows: true,
                slidesPerRow: 1,
                slidesToScroll: 1,
                adaptiveHeight: true,
                prevArrow: '<span class="prev-arrow"><i class="fa fa-angle-left"></i></span>',
                nextArrow: '<span class="next-arrow"><i class="fa fa-angle-right"></i></span>',
            });
            $(document).on("click", ".ssd-share-button", function () {
                var sslw = $(".ssd-share-link-wrapper");
                if ($(".ssd-dialog-popup-cover .ssd-share-link-wrapper").hasClass("ssd-show-share")) {
                    sslw.removeClass("ssd-show-share");
                } else {
                    sslw.removeClass("ssd-show-share");
                    $(this).parents("div").find(".ssd-share-link-wrapper").addClass("ssd-show-share");
                }
            });
            $(document).on("click", ".ssd-close-button", function () {
                $(".ssd-share-link-wrapper").removeClass("ssd-show-share");
            });
        }
        function ssd_showModal(that) {
            var shml = "";
            var ssd_dataid = that.data("id"),
                ssd_clwidth = "full-width",
                ssd_layout = that.data("layout"),
                ssd_usersimage = that.data("usersimage"),
                ssd_username = that.data("username"),
                susrsnm = that.data("userscreenname"),
                ssd_userslink = that.data("userslink"),
                styp = that.data("feedtype"),
                sdfdtrmtp = that.data("feedstreamtype"),
                ssd_title = that.data("title"),
                ssd_content = that.data("content"),
                surl = that.data("posturl"),
                smtyp = that.data("mediatype"),
                simpt = that.data("imagepath"),
                ssd_videopath = that.data("videopath"),
                sviedimg = that.data("viewdefaultimage"),
                ssd_defaultimage = that.data("defaultimage"),
                ssd_datetime = that.data("datetime"),
                ssd_likes = that.data("likes"),
                ssd_likeslink = that.data("likeslink"),
                ssd_dislike = that.data("dislike"),
                ssd_dislikelink = that.data("dislikelink"),
                ssd_comments = that.data("comments"),
                sdcmtlnk = that.data("commentslink"),
                ssd_favorite = that.data("favorite"),
                ssd_plays = that.data("plays"),
                ssd_playslink = that.data("playslink"),
                ssd_retweet = that.data("retweet"),
                ssd_retweetlink = that.data("retweetlink"),
                ssd_replylink = that.data("replylink");
            if (simpt == "" && sviedimg == 1 && ssd_defaultimage != "") {
                simpt = ssd_defaultimage;
            }
            var ssd_maxHeight = $(window).height() - 100;
            if ($(".ssd-dialog-popup-cover").length === 0) {
                if (typeof simpt !== "undefined") {
                    if ((smtyp == "image" && simpt != "") || smtyp == "iframe" || smtyp == "video") {
                        ssd_clwidth = "";
                    }
                    shml = "<div class='ssd-dialog-popup-cover ssd-popup-" + ssd_layout + " social_stream_" + ssd_dataid + "'>";
                    shml += "<div class='ssd-modal'>";
                    shml += "<div class='" + ssd_clwidth + "'>";
                    shml += "<div class='ssd-scrollbox' style='max-height:" + ssd_maxHeight + "px'>";
                    shml += "<div class='ssd-modal-text ssd-card " + ssd_clwidth + "'>";
                    if (ssd_layout == "layout-1" && (simpt != "" || ssd_videopath != "")) {
                        shml += "<div class='ssd-grid-col-1'>";
                        var sdhl = "";
                        if ((smtyp == "image" || smtyp == "post") && simpt != "") {
                            sdhl += '<a href=""><img src="' + simpt + '" height="500"></a>';
                        } else if (smtyp == "video") {
                            if (ssd_videopath != "") {
                                if (styp == "vimeo") {
                                    sdhl += '<div style="padding:75% 0 0 0;position:relative;">';
                                    sdhl += '<iframe src="' + ssd_videopath + '" style="position:absolute;top:0;left:0;width:100%;height:100%;" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>';
                                    sdhl += "</div>";
                                    sdhl += '<script src="https://player.vimeo.com/api/player.js"></script>';
                                } else if (styp == "youtube" && (sdfdtrmtp == "user_feed" || sdfdtrmtp == "search" || sdfdtrmtp == "channel" || sdfdtrmtp == "playlists")) {
                                    sdhl += '<iframe width="100%" height="200" src="' + ssd_videopath + '" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>';
                                } else if (styp == "google plus") {
                                    sdhl += '<iframe width="100%" height="200" src="' + ssd_videopath + '" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>';
                                } else if (styp == "flickr") {
                                    sdhl += '<a data-flickr-embed="true" href="' + ssd_videopath + '"><img src="' + simpt + '" width="1280" height="720"></a>';
                                    sdhl += '<script async src="//embedr.flickr.com/assets/client-code.js" charset="utf-8"></script>';
                                } else {
                                    sdhl += '<video controls><source src="' + ssd_videopath + '"></video>';
                                }
                            } else {
                                if (simpt != "") {
                                    sdhl += '<a href=""><img src="' + simpt + ' "></a>';
                                }
                            }
                        } else if (smtyp == "carousel") {
                            var simpts = "";
                            var ssvdpt = "";
                            if (simpt != "") {
                                simpts = simpt.split(" ,");
                            }
                            if (ssd_videopath != "") {
                                ssvdpt = ssd_videopath.split(" ,");
                            }
                            sdhl += '<div class="ssd-carousel-media"><div class="slides ssd_inner_sk_slider">';
                            if (simpts != "") {
                                $.each(simpts, function (index, value) {
                                    if (value) {
                                        sdhl += '<div><img src="' + value + '"></div>';
                                    }
                                });
                            }
                            if (ssvdpt != "") {
                                $.each(simpts, function (index, value) {
                                    if (value) {
                                        sdhl += '<div><video controls><source src="' + value + '"></video></div>';
                                    }
                                });
                            }
                            sdhl += "</div></div>";
                        }
                        shml += sdhl;
                        shml += "</div>";
                        shml += "<div class='ssd-grid-col-2'>";
                    }
                    shml += "<div class='ssd-author-detail'>";
                    shml += "<div class='ssd-author-image'>";
                    shml += "<a href='" + ssd_userslink + "'><img src='" + ssd_usersimage + "' alt='" + susrsnm + "'></a>";
                    shml += "</div>";
                    shml += "<div class='ssd-author-name'>";
                    shml += "<div class='author-name-top'><a class='ssd-display-name' target='_blank' href='" + ssd_userslink + "'>" + ssd_username + "</a></div>";
                    shml += "<div class='author-name-bottom'><a class='ssd-user-name' target='_blank' href='" + ssd_userslink + "'>" + susrsnm + "</a></div>";
                    shml += "</div>";
                    shml += "</div>";
                    if (ssd_title) {
                        shml += "<div class='ssd-post-title'>";
                        shml += "<h4>" + ssd_title + "</h4>";
                        shml += "</div>";
                    }
                    if (ssd_layout == "layout-2") {
                        var sdhl = "";
                        if (smtyp == "image" && simpt != "") {
                            sdhl += '<a href=""><img src="' + simpt + '" height="500"></a>';
                        } else if (smtyp == "video") {
                            if (ssd_videopath != "") {
                                if (styp == "vimeo") {
                                    sdhl += '<div style="padding:75% 0 0 0;position:relative;">';
                                    sdhl += '<iframe src="' + ssd_videopath + '" style="position:absolute;top:0;left:0;width:100%;height:100%;" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>';
                                    sdhl += "</div>";
                                    sdhl += '<script src="https://player.vimeo.com/api/player.js"></script>';
                                } else if (styp == "youtube" && (sdfdtrmtp == "user_feed" || sdfdtrmtp == "search" || sdfdtrmtp == "channel" || sdfdtrmtp == "playlists")) {
                                    sdhl += '<iframe width="100%" height="200" src="' + ssd_videopath + '" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>';
                                } else if (styp == "flickr") {
                                    sdhl += '<a data-flickr-embed="true" href="' + ssd_videopath + '"><img src="' + simpt + '" width="1280" height="720"></a>';
                                    sdhl += '<script async src="//embedr.flickr.com/assets/client-code.js" charset="utf-8"></script>';
                                } else {
                                    sdhl += '<video controls><source src="' + ssd_videopath + '"></video>';
                                }
                            } else {
                                if (simpt != "") {
                                    sdhl += '<a href=""><img src="' + simpt + ' "></a>';
                                }
                            }
                        } else if (smtyp == "carousel") {
                            var simpts = "";
                            var ssvdpt = "";
                            if (simpt != "") {
                                simpts = simpt.split(" ,");
                            }
                            if (ssd_videopath != "") {
                                ssvdpt = ssd_videopath.split(" ,");
                            }
                            sdhl += '<div class="ssd-carousel-media"><ul class="slides">';
                            if (simpts != "") {
                                $.each(simpts, function (index, value) {
                                    if (value) {
                                        sdhl += '<li><img src="' + value + '"></li>';
                                    }
                                });
                            }
                            if (ssvdpt != "") {
                                $.each(simpts, function (index, value) {
                                    if (value) {
                                        sdhl += '<li><video controls><source src="' + value + '"></video></li>';
                                    }
                                });
                            }
                            sdhl += "</ul></div>";
                        }
                        shml += sdhl;
                    }
                    if (ssd_content != "" && ssd_content != "undefined") {
                        shml += "<div class='ssd-content-wrap'>";
                        shml += "<p>" + ssd_content + "</p>";
                        shml += "</div>";
                    }
                    if (styp == "facebook" && sdfdtrmtp == "all_album") {
                        shml += "<div class='ssd-fb-alb-wrap'>";
                        shml += "</div>";
                    }
                    if (styp == "facebook" && sdfdtrmtp == "page") {
                        shml+="<div class='ssd-page-bio-wrap'>";shml+="<p></p>";shml+="</div>";
                    }
                    shml+="<div class='ssd-com-wrap'>";shml+="<p></p>";shml+="</div>";
                    var shtl = ssd_share_count(styp, surl, ssd_datetime, sdcmtlnk, ssd_likeslink, ssd_dislikelink, ssd_playslink, ssd_retweetlink, ssd_replylink, ssd_comments, ssd_likes, ssd_dislike, ssd_plays, ssd_retweet, ssd_favorite);
                    shml += shtl;
                    var ssd_share_html = ssd_popup_share_link(surl);
                    shml += ssd_share_html;
                    if (ssd_layout == "layout-1" && (simpt != "" || ssd_videopath != "")) {
                        shml += "</div>";
                    }
                    shml += "</div></div></div></div></div>";
                }
            }
            $("body").append(shml).fadeIn(2500);
            if (ssd_layout == "layout-1") {
                var width = 900;
            } else {
                var width = 700;
            }
            if (ssd_layout == "layout-1") {
                var ssd_dialog_class = "ssd-dialog-widget ssd-left-layout";
            } else {
                var ssd_dialog_class = "ssd-dialog-widget ssd-top-layout";
            }
            $(".ssd-dialog-popup-cover").dialog({
                modal: true,
                closeOnEscape: true,
                autoOpen: false,
                draggable: false,
                resizable: false,
                width: width,
                maxWidth: "100%",
                height: $(window).height() - 250,
                dialogClass: ssd_dialog_class,
                hide: { effect: "fadeOut", duration: 500 },
                show: { effect: "fadeIn", duration: 500 },
                open: function (event, ui) {
                    $(".ui-widget-overlay").bind("click", function () {
                        $(".ssd-dialog-popup-cover").dialog("close");
                        ssd_removeModal();
                    });
                },
                close: function () {
                    $(".ssd-dialog-popup-cover").dialog("close");
                    ssd_removeModal();
                },
            });
            $(".ssd-dialog-popup-cover").dialog("open");
            $(".ssd_inner_sk_slider").slick({
                autoplay: false,
                rtl: false,
                arrows: true,
                slidesPerRow: 1,
                slidesToScroll: 1,
                adaptiveHeight: true,
                prevArrow: '<span class="prev-arrow"><i class="fa fa-angle-left"></i></span>',
                nextArrow: '<span class="next-arrow"><i class="fa fa-angle-right"></i></span>',
            });
            $(document).on("click", ".ssd-share-button", function () {
                var sslw = $(".ssd-share-link-wrapper");
                if ($(".ssd-dialog-popup-cover .ssd-share-link-wrapper").hasClass("ssd-show-share")) {
                    sslw.removeClass("ssd-show-share");
                } else {
                    sslw.removeClass("ssd-show-share");
                    $(this).parents("div").find(".ssd-share-link-wrapper").addClass("ssd-show-share");
                }
            });
            $(document).on("click", ".ssd-close-button", function () {
                $(".ssd-share-link-wrapper").removeClass("ssd-show-share");
            });
        }
        function ssd_removeModal() {
            $("body").find(".ssd-dialog-widget").remove();
            $("body").find(".ssd-dialog-popup-cover").remove();
            $("body").removeClass("noscroll");
        }
        $('.ssd_search input[name="s"]').on('keyup',function () {
            var search_val = $(this).val();
            var ssd_id = $('.ssd_search input[name="ssd_id"]').val();
            var ajaxData = { action: "ssd_search_data", ssd_id: ssd_id, search_val: search_val };
            $.post(ajax_object.ajax_url, ajaxData, function (response) {
                $(".ssd-cnt-prnt").html(response);
                if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                    new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                    new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                }
                $(".ssd-feed-filter li").css("display","none");
                $(".ssd-feed-filter li").removeClass("ssd_active-social-feed");
                $(".ssd-feed-filter li a").removeClass("ssd_active-feed");
                $(".ssd-feed-filter li.filter-all").css("display","inline-block");
                $(".ssd-feed-filter li.filter-all").addClass("ssd_active-social-feed");
                $(".ssd-feed-filter li.filter-all a").addClass("ssd_active-feed");
                localStorage.setItem("ssd_filter_active_status", ".*");
                    $(".ssd-col-item.ssd-col").each(function() {
                        if ($(this).hasClass("filter-pinterest")) {
                            $(".ssd-feed-filter li.filter-pinterest").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-vimeo")) {
                            $(".ssd-feed-filter li.filter-vimeo").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-twitter")) {
                            $(".ssd-feed-filter li.filter-twitter").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-facebook")) {
                            $(".ssd-feed-filter li.filter-facebook").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-instagram")) {
                            $(".ssd-feed-filter li.filter-instagram").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-tumblr")) {
                            $(".ssd-feed-filter li.filter-tumblr").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-youtube")) {
                            $(".ssd-feed-filter li.filter-youtube").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-flickr")) {
                            $(".ssd-feed-filter li.filter-flickr").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-wordpress")) {
                            $(".ssd-feed-filter li.filter-wordpress").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-rss")) {
                            $(".ssd-feed-filter li.filter-rss").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-foursquare")) {
                            $(".ssd-feed-filter li.filter-foursquare").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-dribbble")) {
                            $(".ssd-feed-filter li.filter-dribbble").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-soundcloud")) {
                            $(".ssd-feed-filter li.filter-soundcloud").css("display","inline-block");
                        }
                        if ($(this).hasClass("filter-tiktok")) {
                            $(".ssd-feed-filter li.filter-tiktok").css("display","inline-block");
                        }
                    });
                    $(".ssd-wrapper-inner #ssd_social_stream_listing div").each(function () {
                        $(this).show(function () {
                            if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_listing")) {
                                new AnimOnScroll(document.getElementById("ssd_social_stream_listing"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                            } else if ($(".ssd-cnt-prnt").hasClass("ssd_social_stream_timeline")) {
                                new AnimOnScroll(document.getElementById("ssd_social_stream_timeline"), { minDuration: 0.4, maxDuration: 0.7, viewportFactor: 0.2 });
                            }
                        });
                    });
                if ($(".ssd-content").hasClass("ssdsos-wrp")) {
                    var layout_id = $(".ssdsos-wrp").attr("data-id");
                    if (layout_id != "") {
                        $.ajax({
                            type: "POST",
                            url: ajax_object.ajax_url,
                            data: "action=ssd_grid_height&layout_id=" + layout_id,
                            success: function (response) {
                                window.setTimeout(function () {
                                    $(".ssd_social_stream_justify").justifiedGallery({ rowHeight: response, lastRow: "nojustify", imgSelector: "> div .ssd_has_media a img" });
                                }, 500);
                            },
                        });
                    }
                }
            });
        });
    })(jQuery);
});
function ssd_popup_share_link(l) {
    return (
        '<div class="ssd-popup-share-link-wrapper"><ul class="ssd-share-link"><li><a class="email" href="mailto:?&subject=dfsdf&body=' +
        l +
        '" target="blank" title="Email"><i class="far fa-envelope"></i></a></li><li><a class="linkedin" href="https://www.linkedin.com/shareArticle?mini=true&url=' +
        l +
        '" target="blank" title="Linkedin"><i class="fab fa-linkedin-in"></i></a></li><li><a class="pinterest" href="http://pinterest.com/pin/create/button/?url=' +
        l +
        '" target="blank" title="Pinterst"><i class="fab fa-pinterest-p"></i></a></li><li><a class="facebook" href="http://www.facebook.com/sharer.php?u=' +
        l +
        '" target="blank" title="Facebook"><i class="fab fa-facebook-f"></i></a></li><li><a class="twitter" href="http://twitter.com/share?url=' +
        l +
        '" target="blank" title="Twitter"><i class="fab fa-twitter"></i></a></li><li><a class="tumblr" href="https://www.tumblr.com/widgets/share/tool?url=' +
        l +
        '" target="blank" title="Tumblr"><i class="fab fa-tumblr"></i></a></li></ul></div>'
    );
}
function ssd_share_count(styp, surl, ssd_datetime, sdcmtlnk, ssd_likeslink, ssd_dislikelink, ssd_playslink, ssd_retweetlink, ssd_replylink, ssd_comments, ssd_likes, ssd_dislike, ssd_plays, ssd_retweet, ssd_favorite) {
    var shtl = "";
    shtl += "<div class='ssd-cell-row ssd-opacity'>";
    if (ssd_datetime != "") {
        if (surl == "") {
            surl = "javascript:void(0)";
        }
        shtl += '<a class="ssd-content-meta-wrap ssd-date-time" target="_blank" href="' + surl + '" ><i class="far fa-clock fa-fw "></i> ' + ssd_datetime + "</a>";
    }
    if (styp == "facebook" || styp == "youtube" || styp == "vimeo" || styp == "flickr" || styp == "instagram" || styp == "google plus" || styp == "tumblr" || styp == "linkedin" || styp == "wordpress" || styp == "dribbble") {
        if (sdcmtlnk == "") {
            sdcmtlnk = "javascript:void(0)";
        }
        shtl += '<a class="ssd-content-meta-wrap ssd-comment" target="_blank" href="' + sdcmtlnk + '" ><i class="far fa-comments fa-fw "></i> ' + ssd_comments + "</a>";
    }
    if (styp == "facebook" || styp == "youtube" || styp == "vimeo" || styp == "pinterest" || styp == "flickr" || styp == "instagram" || styp == "google plus" || styp == "tumblr" || styp == "linkedin" || styp == "dribbble") {
        if (ssd_likeslink == "") {
            ssd_likeslink = "javascript:void(0)";
        }
        if (styp == "pinterest") {
            shtl += '<a class="ssd-content-meta-wrap" target="_blank" href="' + ssd_likeslink + '" ><i class="fas fa-thumbtack fa-fw "></i> ' + ssd_likes + "</a>";
        } else {
            shtl += '<a class="ssd-content-meta-wrap" target="_blank" href="' + ssd_likeslink + '" ><i class="far fa-thumbs-up fa-fw "></i> ' + ssd_likes + "</a>";
        }
    }
    if (styp == "youtube") {
        if (ssd_dislikelink == "") {
            ssd_dislikelink = "javascript:void(0)";
        }
        shtl += '<a class="ssd-content-meta-wrap" target="_blank" href="' + ssd_dislikelink + '" ><i class="far fa-thumbs-down fa-fw "></i> ' + ssd_dislike + "</a>";
    }
    if (styp == "twitter") {
        shtl += '<span class="ssd-content-meta-wrap"><i class="far fa-heart fa-fw"></i> ' + ssd_favorite + "</span>";
    }
    if (styp == "youtube" || styp == "vimeo" || styp == "flickr" || styp == "dribbble") {
        if (ssd_playslink == "") {
            ssd_playslink = "javascript:void(0)";
        }
        shtl += '<a class="ssd-content-meta-wrap" target="_blank" href="' + ssd_playslink + '" ><i class="far fa-play-circle fa-fw "></i> ' + ssd_plays + "</a>";
    }
    if (styp == "twitter" || styp == "pinterest") {
        if (ssd_retweetlink == "") {
            ssd_retweetlink = "javascript:void(0)";
        }
        shtl += '<a class="ssd-content-meta-wrap" target="_blank" href="' + ssd_retweetlink + '" ><i class="fas fa-retweet fa-fw "></i>' + ssd_retweet + "</a>";
    }
    if (styp == "twitter") {
        if (ssd_replylink) {
            if (ssd_replylink == "") {
                ssd_replylink = "javascript:void(0)";
            }
            shtl += '<a class="ssd-content-meta-wrap" target="_blank" href="' + ssd_replylink + '" ><i class="fas fa-reply fa-fw "></i></a>';
        }
    }
    shtl += "</div>";
    return shtl;
}
